\section{Brechungsgesetz von Snellius}
\begin{align*}
    1.~\text{Form} ~(\text{dünn}\rightarrow\text{dicht}) \qquad & \frac{p}{q} = \frac{\sin(\alpha)}{\sin(\beta)} = n\\
    2.~\text{Form} ~(\text{dicht}\rightarrow\text{dünn}) \qquad & \frac{p}{q} = \frac{\sin(\alpha)}{\sin(\beta)} = \frac{1}{n}
\end{align*}

\paragraph*{Allgemeine Form}
\begin{center}
    \begin{tikzpicture}[
        dot/.style = {circle, fill = darkred, minimum size=1mm, inner sep=0pt, outer sep=0pt}
    ]
        \coordinate (origin) at (0, 0);
        \begin{pgfonlayer}{l3}
            \draw[dashed] (origin) circle[radius=25mm];
            \draw[dashed] (0, 2.5) -- (0, -2.5);
        \end{pgfonlayer}
        \begin{pgfonlayer}{bg}
            \fill[lightblue!40] (2.5, 0) -- (-2.5, 0) arc[start angle = 180, end angle = 360, radius = 25mm] -- cycle;
        \end{pgfonlayer}
        \begin{pgfonlayer}{tl1}
            \draw[thick, burntorange!50, ->, > = stealth] (origin) 
                -- (2.5, 2) coordinate (reflend) node[above, black, fill opacity = 1, text width = 18mm, align = center] {\small reflektierter Strahl};
            \draw[thick, burntorange, ->, > = stealth] 
                (-2.5, 2) node[above, black, fill opacity = 1, text width = 18mm, align = center] {\small einfallender Strahl} 
                -- (origin) 
                -- (1.5,-2.5) node[below, black, fill opacity = 1, text width = 18mm, align = center] {\small gebrochener Strahl};
        \end{pgfonlayer}
        \begin{pgfonlayer}{tl2}
            \path[] (-1.95, 0) +(0, 15.6mm) coordinate(interone);
            \path[] (origin) +(0, 15.6mm) coordinate(originupper);
            \path[] (1.28, 0) +(0, -21.5mm) coordinate(intertwo);
            \path[] (origin) +(0, -21.5mm) coordinate(originlower);
            \node[dot](interonenode) at (interone) {};
            \node[dot](originuppernode) at (originupper) {};
            \node[dot](intertwonode) at (intertwo) {};
            \node[dot](originlowernode) at (originlower) {};
            \fill[] (0, 1) circle[radius=0.4mm];
        \end{pgfonlayer}
        \pic["\small $\alpha_1$", angle radius = 10mm, draw]{angle=originupper--origin--interone};
        \pic["\small $\alpha_1$", angle radius = 10mm, draw]{angle=reflend--origin--originupper};
        \pic["\small $\alpha_2$", angle radius = 13mm, draw]{angle=originlower--origin--intertwo};
        \begin{pgfonlayer}{tl3}
            \draw[thick, <->, > = stealth] (interonenode) -- (originuppernode) node [midway, above] {\small $p_1$};
            \draw[thick, <->, > = stealth] (intertwonode) -- (originlowernode) node [midway, above] {\small $p_2$};
            \node[] at (-2, 0.5) {\small $n_1$};
            \node[] at (-2, -0.5) {\small $n_2$};
        \end{pgfonlayer}
    \end{tikzpicture}
\end{center}
\begin{empheq}[box = \widefbox]{equation*}
    \frac{p_1}{p_2} = \frac{\sin(\alpha)}{\sin(\beta)} = \frac{n_2}{n_1} = \frac{c_1}{c_2}
\end{empheq}
\begin{center}
    \renewcommand{\arraystretch}{1.5}
    \begin{tabular}{l l l}
        $n$ & Brechzahl/Brechungsindex & (dimensionslos)\\
        $c_x$ & Lichtgeschwindigkeit in Medium & $[c_x] = \si[]{\metre\per\second}$
    \end{tabular}
\end{center}

\paragraph{Lichtgeschwindigkeit in einem Medium}
\begin{empheq}[box = \widefbox]{equation*}
    c_{\text{Medium}} = \frac{c}{n} = \frac{\SI[]{3e8}[]{\metre\per\second}}{n}
\end{empheq}